Security Enhanced Linux Reference Policy

# Layer: services

## Module: qpid

Interfaces

### Description:

Apache QPID AMQP messaging server.

### Interfaces:

qpidd_admin( domain , role )

##### Summary

All of the rules required to administrate an qpidd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

qpidd_domtrans( domain )

##### Summary

Execute a domain transition to run qpidd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

qpidd_initrc_domtrans( domain )

##### Summary

Execute qpidd init script in the initrc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

qpidd_manage_lib_files( domain )

##### Summary

Create, read, write, and delete qpidd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

qpidd_read_lib_files( domain )

##### Summary

Read qpidd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

qpidd_read_pid_files( domain )

##### Summary

Read qpidd pid files. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

qpidd_rw_semaphores( domain )

##### Summary

Read and write access qpidd semaphores.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

qpidd_rw_shm( domain )

##### Summary

Read and write qpidd shared memory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

qpidd_search_lib( domain )

##### Summary

Search qpidd lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return